@echo off
rem ***********************
rem * rr koala pic viewer *
rem ***********************
echo sending koala pic ...
rem * download memory so we can restore it later
rr save files\temp\rrkoa1.prg 0x2000 0x4000 -s
rr save files\temp\rrkoa2.prg 0x0400 0x07e8 -s
rr save files\temp\rrkoa3.prg 0xd800 0xdbe8 -s
rem * setup video regs for multicolor bitmap mode
rr poke 0xd011 0x7b -s
rr poke 0xd020 0 -s
rr poke 0xd021 0 -s
rr poke 0xd016 0xd8 -s
rr poke 0xd018 0x18 -s
rem * upload bitmap, screen, colram from koala pic
rr load %1 0x2000 0x4000 0x0000 -s
rr load %1 0x0400 0x07e8 0x1f40 -s
rr load %1 0xd800 0xdbe8 0x2328 -s
rem * show screen and wait for keypress on host
rr poke 0xd011 0x3b -s
pause
rr poke 0xd011 0x7b -s
rem * restore saved memory contents
rr load files\temp\rrkoa1.prg -s
rr load files\temp\rrkoa2.prg -s
rr load files\temp\rrkoa3.prg -s
rem * delete temp. data
del files\temp\rrkoa1.prg
del files\temp\rrkoa2.prg
del files\temp\rrkoa3.prg
rem * setup video regs for text mode
rr poke 0xd016 0xc8 -s
rr poke 0xd018 0x15 -s
rr poke 0xd011 0x1b -s
